package Visual_DVM_2021.Passes.All;
import Common.Current_;
import _VisualDVM.Current;
import Visual_DVM_2021.Passes.SapforFilesModification;
import _VisualDVM.Global;
//  SPF_LoopUnionCurrent (addOpt1_c -> file, addOpt2_c-> line)
public class SPF_LoopUnionCurrent extends SapforFilesModification {
    @Override
    protected boolean canStart(Object... args) throws Exception {
        if (super.canStart(args) && Global.mainModule.Check(Log, Current.File)) {
            addOpt1 = Global.mainModule.getFile().name;
            addOpt2 = String.valueOf(Global.mainModule.getFile().form.getEditor().getCurrentLine());
            return true;
        }
        return false;
    }
}
